#include "oulib.h"

// Load the ISRs
#include "oulib_serial_buffered.h"

FILE* fp0;
#define SERIAL_PORT     0
#define SERIAL_BAUD     38400
#define SERIAL_BUFFER_SIZE   40


int main(void)
{
  uint16_t val;

  // Initialize the serial port connected to the USB cable
  fp0 = serial_init_buffered(SERIAL_PORT, SERIAL_BAUD, SERIAL_BUFFER_SIZE, SERIAL_BUFFER_SIZE);

  // Initialize all interrupts
  sei();
  fprintf(fp0, "hello world\n\r");

  adc_set_reference(ADC_REF_AREF);       // Use the reference pin
  adc_set_adlar(0);                      // For our purposes, always use 0
  adc_set_prescalar(ADC_PRESCALAR_128);  // Minimum necessary with 16MHz clock
                                         //  and 10 bit resolution

  // Turn on ADC
  adc_set_enable(ADC_ENABLE);

  // Set the channel
  adc_set_channel(ADC_CHANNEL_0);        // ADC8 

  while(1) {
    adc_start_conversion();
    val = adc_read();
    fprintf(fp0, "Val: %d\n\r", val);
    delay_ms(100);
  };
  
};

