#include "oulib.h"

/**
   Configure the position of the 10-bit ADC value in the 16-bit output register

   <P>

   @param adlar ADC_ADLAR_RIGHT: Right-adjust the 10-bit value (default configuration) <BR>
   ADC_ADLAR_LEFT: Left-adjust the 10-bit value

   @author Andrew H. Fagg

   \ingroup adc
*/

void adc_set_adlar(uint8_t adlar)
{
  ADMUX = (ADMUX & 0xDF) | ((adlar & 0x1) <<5);
}
