#include "oulib.h"

/** 
    Set the ADC auto trigger state.  If enabled, the ADC will 
automatically initiate the collection of the next sample after the current
one is complete.

<P>

@param cmd ADC_AUTO_TRIGGER_DISABLE: disabled (default) <BR>
ADC_AUTO_TRIGGER_ENABLE: enabled

@author Andrew H. Fagg

\ingroup adc

*/

void adc_set_auto_trigger(uint8_t cmd)
{
  ADCSRA = (ADCSRA & 0xDF) | ((cmd & 0x1) << 5);
}
