#include "oulib.h"

/**
   Set the clock prescalar for the ADC device.

   @param pre is one of: ADC_PRESCALAR_2 (default), <BR> ADC_PRESCALAR_4, <BR> 
   ADC_PRESCALAR_8, <BR> 
   ADC_PRESCALAR_16, <BR> 
   ADC_PRESCALAR_32, <BR>
   ADC_PRESCALAR_64, <BR>
   ADC_PRESCALAR_128

   @author Andrew H. Fagg

   \ingroup adc
*/

void adc_set_prescalar(uint8_t pre)
{
  ADCSRA = (ADCSRA & 0xF8) | (pre & 0x7);
};
