#include "oulib.h"

/**
   Set the analog reference for the ADC.  This reference determines the
   voltage at which the maximum analog value is read.

   @param ref ADC_REF_AREF: use the voltage presented at the AREF pin  (default) <BR>
   ADC_REF_AREF_CAP: use the voltage presented at the AREF pin, but connect a capacitor to the pin <BR>
   ADC_REF_2p56V: use an internal reference of 2.56V

   @author Andrew H. Fagg

   \ingroup adc
*/

void adc_set_reference(uint8_t ref)
{
  ADMUX = (ADMUX & 0x3F) | ((ref & 0x3) << 6);
};
