#include "buffer.h"

/**
   Add a byte to the buffer.    Will busy wait if there is
   no room in the buffer.

   <P>

   @param buf A pointer to an existing and initialized BUFFER structure.
   @param val A character value to insert into the buffer.

   @author Andrew H. Fagg (fagg@cs.ou.edu)

   \ingroup buffer
*/

void buffer_add(BUFFER* buf, char val)
{
  // Wait until there is space
  while(BUFFER_FULL(buf)){};

  // Add the element
  buf->buffer[buf->back] = val;

  // Increment the back pointer
  buf->back = (buf->back+1)%buf->size;
}
