#include "buffer.h"
/**
   Return the next element in the buffer.  Will busy wait until
   there is something to return

   <P>

   @param buf A pointer to an existing and initialized BUFFER structure.

   @return The next value in the buffer

   @author Andrew H. Fagg (fagg@cs.ou.edu)

   \ingroup buffer

*/
char buffer_remove(BUFFER *buf)

{
  char out;
  
  // Wait until there is a value to return
  while(BUFFER_EMPTY(buf)){};

  // Fetch the value
  out = buf->buffer[buf->front];

  // Increment front pointer
  buf->front = (buf->front+1)%buf->size;

  return(out);
};

