#include "buffer.h"

/**
   Reset the state of the buffer indices (for internal use).
   Note: must guarantee 
   that no reader or writer is currently accessing this object
   (such as an ISR)

   <P>

   @param buf A pointer to an existing and initialized BUFFER structure.
   @param front The index of the next byte in the buffer (0 ... size-1)
   @param back The index of the next avaiable space in the buffer  (0 ... size-1).

   \ingroup buffer

   @author Andrew H. Fagg (fagg@cs.ou.edu)

*/

void buffer_reset(BUFFER* buf, uint16_t front, uint16_t back)
{
  buf->front = front;
  buf->back = back;
};
