#include <buffer.h>

/**
   Return the state of the specified buffer.
   <P>

   @param buf A pointer to an existing and initialized BUFFER structure.
   @return -1 if buffer is empty <BR>
   0 if buffer is not empty nor full <BR>
   1 if buffer is full

   @author Andrew H. Fagg (fagg@cs.ou.edu)

   \ingroup buffer
*/

int8_t buffer_state(BUFFER *buf)
{
  // Empty
  if(BUFFER_EMPTY(buf))
    return(-1);
  // Full
  if(BUFFER_FULL(buf))
    return(1);
  // Neither
  return(0);
};
