#include "oulib.h"

/**
   Returns the number of bytes that are in the input buffer

   @param fp A valid file pointer for the port of interest.

   @return Number of bytes

   @author Andrew H. Fagg

   \ingroup serial

 */

int16_t serial_buffered_input_nbytes(FILE* fp)
{
  struct OU_FILE_BUF *ou_fp =  (struct OU_FILE_BUF *) fdev_get_udata(fp);

  return((ou_fp->buf_in_back - ou_fp->buf_in_front + ou_fp->buf_size_in)
	 % ou_fp->buf_size_in);
}

