#include "oulib.h"

// int8_t serial_buffered_input_waiting(FILE* fp)
//
// Return = 1 if data is waiting
//          0 if data is not waiting
//
// Notes: multiple ports

/**
   Indicates whether at least one character is waiting in the serial
   input buffer.

   @param fp A valid file pointer for the port of interest.

   @return 1 if at least one character is waiting <BR>
   0 if no characters are waiting

   @author Andrew H. Fagg

   \ingroup serial

 */

int8_t serial_buffered_input_waiting(FILE* fp)
{
  struct OU_FILE_BUF *ou_fp =  (struct OU_FILE_BUF *) fdev_get_udata(fp);

  return(!(ou_fp->buf_in_front == ou_fp->buf_in_back));
}

