#include "oulib.h"

/**
   Returns the number of bytes that are unused in the output buffer

   @param fp A valid file pointer for the port of interest.

   @return Number of free bytes.

   @author Andrew H. Fagg

   \ingroup serial

 */

int16_t serial_buffered_output_free(FILE* fp)
{
  struct OU_FILE_BUF *ou_fp =  (struct OU_FILE_BUF *) fdev_get_udata(fp);

  return(ou_fp->buf_size_out - 1 -
	 (ou_fp->buf_out_back - ou_fp->buf_out_front + ou_fp->buf_size_out)
	 % ou_fp->buf_size_out);
}

