#include "oulib.h"
#include "stdlib.h"

extern int uart_send_general(char c, FILE *fp);
extern int uart_recv_general(FILE *fp);


// uint8_t serial_init(uint8_t port, unsigned long baud_rate)
//
//  Experimental serial initialization that supports both single- and
// multi-port atmega chips.
//  If multi-port, then we create the necessary structures to
// keep track of which port is which.  Ultimately, this
// structure will be used to do buffering as well.
//
//  Return = 0 if no errors
//         = -1 if an incorrect port was specified
//
// OBSOLETE

FILE* serial_init(uint8_t port, unsigned long baud_rate)  
{
  // This structure will be linked to the FILE structure
#ifdef SERIAL_NPORTS_2
  struct OU_FILE *ou_fp = (struct OU_FILE *) malloc(sizeof(struct OU_FILE));
  ou_fp->port = port;
#endif
  FILE *fp;

  //  Compute baud rate divisor.  We assume that the user
  // provides a reasonable request
  unsigned int baud = (F_CPU / (16 * baud_rate)) - 1;

  //  Depending on the specified port, we will configure
  // different registers
  switch(port)
    {
    case 0:
      UCSRB = (1<<RXEN)|(1<<TXEN);
      UBRRH = (unsigned char) (baud>>8);
      UBRRL = (unsigned char) baud;
      fp = fdevopen(uart_send_general, uart_recv_general);
#ifdef SERIAL_NPORTS_2
      // If this is a multi-port device, then we link
      //  the structure to the FILE structure
      fdev_set_udata(fp, ou_fp);
#endif
      return(fp);
      break;
#ifdef SERIAL_NPORTS_2
    case 1:
      // Devices with at least 2 ports
      UCSR1B = (1<<RXEN)|(1<<TXEN);
      UBRR1H = (unsigned char) (baud>>8);
      UBRR1L = (unsigned char) baud;
      fp = fdevopen(uart_send_general, uart_recv_general);
      fdev_set_udata(fp, ou_fp);
      return(fp);
      break;
#endif
    default:
      // Indicate an error
#ifdef SERIAL_NPORTS_2
      free(ou_fp);
#endif
      return(NULL);
    }
}

