#include "oulib.h"

// int8_t serial_input_waiting(FILE* fp)
//
// The argument is irrelevant if there is only one serial device
//
// Return = 1 if data is waiting
//          0 if data is not waiting
//         -1 if pointer error
//
// Notes: multiple ports
//
// OBSOLETE
//

int8_t serial_input_waiting(FILE* fp)
{
#if defined(SERIAL_NPORTS_2) | defined(SERIAL_NPORTS_4)
  // Multiple serial ports
  struct OU_FILE *ou_fp;

  if(fp == NULL) {
    ou_fp =  (struct OU_FILE *) fdev_get_udata(stdin);
  }else{
    ou_fp =  (struct OU_FILE *) fdev_get_udata(fp);
  }
  
  // Decode the port number
  switch(ou_fp->port)
    {
    case 0:
      return (UCSR0A & (1<<RXC0)) >> RXC0;
      break;
    case 1:
      return (UCSR1A & (1<<RXC1)) >> RXC1;
      break;
#if defined(SERIAL_NPORTS_4)
    case 2:
      return (UCSR2A & (1<<RXC2)) >> RXC2;
      break;
    case 3:
      return (UCSR3A & (1<<RXC3)) >> RXC3;
      break;
#endif      
    default:
      return(-1);
    };
#else
  // Only a single serial port to worry about
  return (UCSRA & (1<<RXC)) >> RXC;  
#endif
}

