#include "oulib.h"

//////////////////////////////////////////////////////////////////////
// Serial interface support

//  I/O interface (enables things like getchar(), putchar(), printf(),
// scanf() to work



// int uart_send(char c)
//
// Send a byte to the serial port
//

int uart_send_general(char c, FILE *fp)  // p.137
{
#ifdef SERIAL_NPORTS_2
  struct OU_FILE *ou_fp =  (struct OU_FILE *) fdev_get_udata(fp);
  switch(ou_fp->port)
    {
    case 0:
#endif
      loop_until_bit_is_set(UCSRA, UDRE);
      UDR = c;
#ifdef SERIAL_NPORTS_2
      break;
    case 1:
      loop_until_bit_is_set(UCSR1A, UDRE1);
      UDR1 = c;
      break;
    }      
#endif
      
  return 0;

}



//  int uart_recv(void)
//
//  Receive a byte from the serial port
//
//  Deal with the multi-port case.
//

int uart_recv_general(FILE *fp)  // p.140
{
#ifdef SERIAL_NPORTS_2
  struct OU_FILE *ou_fp =  (struct OU_FILE *) fdev_get_udata(fp);
  switch(ou_fp->port)
    {
    case 0:
#endif
      loop_until_bit_is_set(UCSRA, RXC);
      return UDR;
#ifdef SERIAL_NPORTS_2
      break;
    case 1:
      loop_until_bit_is_set(UCSR1A, RXC1);
      return UDR1;
      break;
    };
#endif
  // Should never reach here
  return(0);
}

