#include "oulib.h"

/**
 Configure the prescaler for the SPI master

 @param prescale One of: <BR>
 SPI_PRE_2  Divide system clock by 2 <BR>
 SPI_PRE_4  Divide by 4 <BR>
 SPI_PRE_8  Divide by 8 <BR>
 SPI_PRE_16 Divide by 16 <BR>
 SPI_PRE_32  Divide by 32 <BR>
 SPI_PRE_64  Divide by 64 <BR>
 SPI_PRE_64b Divide by 64 (??? why two) <BR>
 SPI_PRE_128 Divide by 128

 @todo Understand why there are two cases of 64

 @author Andrew H. Fagg

 \ingroup spi
 
*/

void spi_prescale_config(uint8_t prescale)
{
  SPCR = (SPCR & ~(_BV(SPR0) | _BV(SPR1)))
    | ((prescale & 3) << SPR0);

  SPSR = (SPSR & ~_BV(SPI2X)) |
    (((prescale >> 2) & 0x1) << SPI2X);
};

