#include "oulib.h"

/**
   Configure the timer 1 compare output A mode.

   @param mode One of: <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_NORMAL:  Normal operation <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_TOGGLE: Toggle on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_CLEAR: Clear on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_SET: Set on output compare 

   @author Andrew H. Fagg

   \ingroup timer1

*/

void timer1_compare_output_A_mode_set(uint8_t mode)
{
  TCCR1A = (TCCR1A & ~(_BV(COM1A1) | _BV(COM1A0)))
    | ((mode&0x3)<<COM1A0);
}




