#include "oulib.h"

#ifdef TIMER1C
/**
   Configure the timer 1 compare output C mode.

   @param mode One of: <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_NORMAL:  Normal operation <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_TOGGLE: Toggle on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_CLEAR: Clear on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_SET: Set on output compare 

   @author Andrew H. Fagg

   \ingroup timer1

*/

void timer1_compare_output_C_mode_set(uint8_t mode)
{
  TCCR1A = (TCCR1A & ~(_BV(COM1C1) | _BV(COM1C0)))
    | ((mode&0x3)<<COM1C0);
}

#endif




