#include "oulib.h"

/**
   Determine the clock source for timer 1

   @param config One of: <BR> TIMER1_NOCLK: no input clock <BR>
   TIMER1_NOPRE: No prescalar <BR>
   TIMER1_PRE_8: Prescalar of 8 <BR>
   TIMER1_PRE_64: Prescalar of 64 <BR>
   TIMER1_PRE_256: Prescalar of 256 <BR>
   TIMER1_PRE_1024: Prescalar of 1024 <BR>
   TIMER1_EXT_FALLING: Count on falling edge of external pin T1 <BR>
   TIMER1_EXT_RISING: Count on rising edge of external pin T1 <BR>

   @author Andrew H. Fagg

   \ingroup timer1
*/

void timer1_config(uint8_t config) {
  // Replace the lowest 3 bits
  TCCR1B = (TCCR1B & 0xF8) | (config & 0x7);
};
