#include "oulib.h"

/**
   Set the state of the timer 1 output compare unit A register.

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 1 output compare unit A register.

   @author Andrew H. Fagg

   \ingroup timer1
*/

void timer1_output_compare_A_set(uint16_t val)
{
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Use temporary buffer
  OCR1AH = (uint8_t) (val >> 8);
  OCR1AL = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};




