#include "oulib.h"

#ifdef TIMER1B
/**
   Read the state of the timer 1 output compare unit B register.
   <P>
   Note: this implementation is thread safe.

   @return The current state of the timer 1 output compare unit B register.

   @author Andrew H. Fagg

   \ingroup timer1
*/

uint16_t timer1_output_compare_B_read(void)
{
  uint16_t tmp;
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Read value from double-byte buffer
  tmp =  (uint16_t) OCR1BL;
  tmp |= (uint16_t) (OCR1BH<<8);

  // Restore global interrupt state
  SREG = sreg;

  return(tmp);
};
#endif




