#include "oulib.h"


/**
   Read the state of the timer 1 counter.
   <P>
   Note: this implementation is thread safe.

   @return The current state of the timer 1 counter

   @author Andrew H. Fagg

   \ingroup timer1
*/
uint16_t timer1_read(void) {
  uint16_t tmp;
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Access register: order matters!
  tmp = (uint16_t) TCNT1L;
  tmp |= (uint16_t) (TCNT1H<<8);

  // Restore global interrupt state
  SREG = sreg;
  return(tmp);
};
