#include "oulib.h"

/**
   Set the state of the timer 1 counter

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 1 counter.

   @author Andrew H. Fagg

   \ingroup timer1
*/

void timer1_set(uint16_t val) {
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Access register: order matters!
  TCNT1H = (uint8_t) (val >> 8);
  TCNT1L = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};
