#include "oulib.h"

/**
   Determine the clock source for timer 2

   @param config One of: <BR> TIMER2_NOCLK: no input clock <BR>
   TIMER2_NOPRE: No prescalar <BR>
   TIMER2_PRE_8: Prescalar of 8 <BR>
   TIMER2_PRE_32: Prescalar of 32 <BR>
   TIMER2_PRE_64: Prescalar of 64 <BR>
   TIMER2_PRE_128: Prescalar of 128 <BR>
   TIMER2_PRE_256: Prescalar of 256 <BR>
   TIMER2_PRE_1024: Prescalar of 1024 <BR>

   @author Andrew H. Fagg

   \ingroup timer2
*/

void timer2_config(uint8_t config) {
  // Replace the lowest 3 bits
#if defined(atmega8) |  defined(at90usb1287) 
  TCCR2 = (TCCR2 & 0xF8) | (config & 0x7);
#else 
#if defined(atmega168) | defined(atmega644p) | defined(atmega2560)
  TCCR2B = (TCCR2B & 0xF8) | (config & 0x7);
#else
  #error "Incomplete implementation"
#endif
#endif
};
