#include "oulib.h"

#ifdef TIMER3

/**
   Configure the timer 3 compare output B mode.

   @param mode One of: <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_NORMAL:  Normal operation <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_TOGGLE: Toggle on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_CLEAR: Clear on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_SET: Set on output compare 

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER3_DEVICES)

   \ingroup timer3

*/

void timer3_compare_output_B_mode_set(uint8_t mode)
{
  TCCR3A = (TCCR3A & ~(_BV(COM3B1) | _BV(COM3B0)))
    | ((mode&0x3)<<COM3B0);
}

#endif


