#include "oulib.h"

#ifdef TIMER3
/**
   Determine the clock source for timer 3

   @param config One of: <BR> TIMER1_NOCLK: no input clock <BR>
   TIMER3_NOPRE: No prescalar <BR>
   TIMER3_PRE_8: Prescalar of 8 <BR>
   TIMER3_PRE_64: Prescalar of 64 <BR>
   TIMER3_PRE_256: Prescalar of 256 <BR>
   TIMER3_PRE_1024: Prescalar of 1024 <BR>
   TIMER3_EXT_FALLING: Count on falling edge of external pin T3 <BR>
   TIMER3_EXT_RISING: Count on rising edge of external pin T3 <BR>

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER3_DEVICES)

   \ingroup timer3
*/

void timer3_config(uint8_t config) {
  // Replace the lowest 3 bits
  TCCR3B = (TCCR3B & 0xF8) | (config & 0x7);
};
#endif
