#include "oulib.h"

#ifdef TIMER3

/**
   Set the state of the timer 3 counter

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 3 counter.

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER3_DEVICES)

   \ingroup timer3
*/

void timer3_set(uint16_t val) {
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Access register: order matters!
  TCNT3H = (uint8_t) (val >> 8);
  TCNT3L = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};

#endif
