#include "oulib.h"
#ifdef TIMER4
/**
   Configure the timer 4 compare output A mode.

   @param mode One of: <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_NORMAL:  Normal operation <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_TOGGLE: Toggle on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_CLEAR: Clear on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_SET: Set on output compare 

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER4_DEVICES)

   \ingroup timer4

*/

void timer4_compare_output_A_mode_set(uint8_t mode)
{
  TCCR4A = (TCCR4A & ~(_BV(COM4A1) | _BV(COM4A0)))
    | ((mode&0x3)<<COM4A0);
}
#endif



