#include "oulib.h"

#ifdef TIMER4
/**
   Determine the clock source for timer 4

   @param config One of: <BR> TIMER1_NOCLK: no input clock <BR>
   TIMER4_NOPRE: No prescalar <BR>
   TIMER4_PRE_8: Prescalar of 8 <BR>
   TIMER4_PRE_64: Prescalar of 64 <BR>
   TIMER4_PRE_256: Prescalar of 256 <BR>
   TIMER4_PRE_1024: Prescalar of 1024 <BR>
   TIMER4_EXT_FALLING: Count on falling edge of external pin T4 <BR>
   TIMER4_EXT_RISING: Count on rising edge of external pin T4 <BR>

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER4_DEVICES)

   \ingroup timer4
*/

void timer4_config(uint8_t config) {
  // Replace the lowest 3 bits
  TCCR4B = (TCCR4B & 0xF8) | (config & 0x7);
};
#endif 
