#include "oulib.h"

#ifdef TIMER4
/**
   Read the state of the timer 4 output compare unit A register.
   <P>
   Note: this implementation is thread safe.

   @return The current state of the timer 4 output compare unit A register.

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER4_DEVICES)

   \ingroup timer4
*/

uint16_t timer4_output_compare_A_read(void)
{
  uint16_t tmp;
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Read value from double-byte buffer
  tmp =  (uint16_t) OCR4AL;
  tmp |= (uint16_t) (OCR4AH<<8);

  // Restore global interrupt state
  SREG = sreg;

  return(tmp);
};
#endif





