#include "oulib.h"

#ifdef TIMER4

/**
   Set the state of the timer 4 counter

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 4 counter.

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER4_DEVICES)

   \ingroup timer4
*/

void timer4_set(uint16_t val) {
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Access register: order matters!
  TCNT4H = (uint8_t) (val >> 8);
  TCNT4L = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};

#endif
