#include "oulib.h"

#ifdef TIMER5

/**
   Configure the timer 5 compare output B mode.

   @param mode One of: <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_NORMAL:  Normal operation <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_TOGGLE: Toggle on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_CLEAR: Clear on output compare <BR>
   TIMER16B_COMPARE_OUTPUT_MODE_SET: Set on output compare 

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER5_DEVICES)

   \ingroup timer5

*/

void timer5_compare_output_B_mode_set(uint8_t mode)
{
  TCCR5A = (TCCR5A & ~(_BV(COM5B1) | _BV(COM5B0)))
    | ((mode&0x3)<<COM5B0);
}

#endif


