#include "oulib.h"

#ifdef TIMER5
/**
   Determine the clock source for timer 5

   @param config One of: <BR> TIMER1_NOCLK: no input clock <BR>
   TIMER5_NOPRE: No prescalar <BR>
   TIMER5_PRE_8: Prescalar of 8 <BR>
   TIMER5_PRE_64: Prescalar of 64 <BR>
   TIMER5_PRE_256: Prescalar of 256 <BR>
   TIMER5_PRE_1024: Prescalar of 1024 <BR>
   TIMER5_EXT_FALLING: Count on falling edge of external pin T5 <BR>
   TIMER5_EXT_RISING: Count on rising edge of external pin T5 <BR>

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER5_DEVICES)

   \ingroup timer5
*/

void timer5_config(uint8_t config) {
  // Replace the lowest 3 bits
  TCCR5B = (TCCR5B & 0xF8) | (config & 0x7);
};

#endif
