#include "oulib.h"

#ifdef TIMER5
/**
   Set the state of the timer 5 output compare unit C register.

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 5 output compare unit C register.

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER5_DEVICES)

   \ingroup timer5
*/

void timer5_output_compare_C_set(uint16_t val)
{
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Use temporary buffer
  OCR5CH = (uint8_t) (val >> 8);
  OCR5CL = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};
#endif




