#include "oulib.h"

#ifdef TIMER5

/**
   Set the state of the timer 5 counter

   <P>

   Note: this implementation is thread safe.

   @param val The new value of the timer 5 counter.

   @author Andrew H. Fagg

   Only available for the following processors: $(TIMER5_DEVICES)

   \ingroup timer5
*/

void timer5_set(uint16_t val) {
  uint8_t sreg;

  // Disable global interrupts if they are enabled
  sreg = SREG;
  cli();

  // Access register: order matters!
  TCNT5H = (uint8_t) (val >> 8);
  TCNT5L = (uint8_t) (val & 0xff);

  // Restore global interrupt state
  SREG = sreg;
};

#endif
