#include "oulib.h"

/**
 Set the state of the acknowledgement bit.

 <P>   Note: this does not initiate a transmission.  A 2nd call
 is required to do this (e.g., twi_set_twint(), or twi_send_byte())

 @param ack TWI_ACKNOWLEDGE_ENABLE:  acknowledge <BR>
 TWI_ACKNOWLEDGE_DISABLE: do not acknowledge

 @author Andrew H. Fagg

 \ingroup twi
*/

void twi_set_ack(uint8_t ack)
{
  TWCR = (TWCR & ~(_BV(TWEA) | _BV(TWINT))) | (ack & _BV(TWEA));
};




