#include "oulib.h"

/**
   Set the clock prescalar for the TWI device.

   @param pre One of:
   TWI_PRESCALAR_1: divide system clock by 1 <BR>
   TWI_PRESCALAR_4: divide by 4 <BR>
   TWI_PRESCALAR_16: divide by 16 <BR>
   TWI_PRESCALAR_64: divide by 64

   @author Andrew H. Fagg

   \ingroup twi

*/


void twi_set_prescalar(uint8_t pre)
{
  TWSR = (TWSR & ~(_BV(TWPS1)|_BV(TWPS0))) | (pre & (_BV(TWPS1)|_BV(TWPS0)));
};




